> For the complete documentation index, see [llms.txt](https://docs.hostedhooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hostedhooks.com/getting-started/quickstart.md).

# Quickstart

### Getting Started

1. Start by signing up for a new account at <https://hostedhooks.com/sign_up>.&#x20;
2. Once logged in you will be prompted to add the name and email of your Organization or Company. The name will be used when you invite Subscribers to your webhooks. It's best if it is named something recognizable.
3. Once your account is created you will be presented with the **Getting Started** page which we will cover here.

![](/files/-McyLuMZwHCIppqxti8q)

&#x20;To help onboarding we go through the process of automatically setting up a demo instance within your account. This demo instance is comprised of a Demo App, Demo Webhook Event, Demo Subscriber and a Demo Endpoint. These four parts of the required components of a basic HostedHooks webhook account.&#x20;

We then will provide you with a sample cURL request (an example below) that you can copy and paste into your terminal to send a message via the API to this Demo App and trigger an outgoing Webhook Attempt.&#x20;

```bash
curl -XPOST -H 'Authorization: Bearer asd2sgg2iMh42JWbPNs' -H "Content-type: application/json" -d '{
   "event_type":"user.created",
   "version":"1.0",
   "data":{
      "note":"this is a test", 
      "id":123123123, 
      "other_id":1231231123
   }
}' 'https://www.hostedhooks.com/api/v1/apps/8f8ad1e0-229b-4773-9756-4292e4486a3f/messages'
```

Once that cURL request has been properly sent ( you should receive a 200 back ), you can click through to your dashboard and see the request you just sent.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hostedhooks.com/getting-started/quickstart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
